Ok, so once again I have tried to compile/install leksah (<meta http-equiv="content-type" content="text/html; charset=utf-8"><a href="http://hackage.haskell.org/package/leksah">http://hackage.haskell.org/package/leksah</a>) with Haskell when using cabal2arch, and just after the package is &#39;built&#39; (but not yet finalized) I get this error message<div>
<br></div><div>Configuring leksah-0.10.0.4...</div><div>Preprocessing library leksah-0.10.0.4...</div><div>Preprocessing executables for leksah-0.10.0.4...</div><div>Building leksah-0.10.0.4...</div><div>Registering leksah-0.10.0.4...</div>
<div>Linking dist/build/leksah/leksah ...</div><div>Running Haddock for leksah-0.10.0.4...</div><div>Preprocessing library leksah-0.10.0.4...</div><div>Preprocessing executables for leksah-0.10.0.4...</div><div>Setup: Can&#39;t find transitive deps for haddock</div>
<div><br></div><div>Doing a google search, I found that this error has occurred in other places, but only in build log fails for hackagedb packages</div><div><br></div><div>Note that the .cabal file for Leksah (incorrectly) has enable-shared one of the ghc build options, this needs to be removed for the package to build correctly (up until this error anyways); as well as the issue outlined below  (see <a href="http://answerpot.com/showthread.php?2552829-Build+error+with+lekash+on+archlinux+when+using+cabal2arch">http://answerpot.com/showthread.php?2552829-Build+error+with+lekash+on+archlinux+when+using+cabal2arch</a> for more info). I have attached a correct PKGBUILD/.install file in this email</div>
<meta http-equiv="content-type" content="text/html; charset=utf-8"><div><br></div><div>There also seems to be another error with cabal2arch, that puts the dependency haskell-leksah within the actual haskell-leksah package (of the same version as well) inside the PKGBUILD. I just removed that dependency from PKGBUILD to build leksah</div>
<meta http-equiv="content-type" content="text/html; charset=utf-8">